Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.text
Enum OdfStartNumberingAtType

    java.lang.Object
      java.lang.Enum<OdfStartNumberingAtType>
          org.odftoolkit.odfdom.dom.type.text.OdfStartNumberingAtType

All Implemented Interfaces:
  Serializable, Comparable<OdfStartNumberingAtType>

    public enum OdfStartNumberingAtType

extends Enum<OdfStartNumberingAtType>

DOM implementation of OpenDocument attribute text:start-numbering-at.

Enum Constant Summary
`CHAPTER`
`DOCUMENT`
`PAGE`

Method Summary
`static OdfStartNumberingAtType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfStartNumberingAtType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfStartNumberingAtType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfStartNumberingAtType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PAGE

    public static final OdfStartNumberingAtType PAGE

### CHAPTER

    public static final OdfStartNumberingAtType CHAPTER

### DOCUMENT

    public static final OdfStartNumberingAtType DOCUMENT

Method Detail

### values

    public static OdfStartNumberingAtType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfStartNumberingAtType c : OdfStartNumberingAtType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfStartNumberingAtType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfStartNumberingAtType>`
  Returns:
    return the name of OdfStartNumberingAtType

### toString

    public static String toString(OdfStartNumberingAtType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfStartNumberingAtType, see text:start-numbering-at
  Returns:
    return the name of OdfStartNumberingAtType

### enumValueOf

    public static OdfStartNumberingAtType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfStartNumberingAtType
  Returns:
    return the constant of OdfStartNumberingAtType, see text:start-numbering-at

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.